import { Functional } from '../../../../../../Class/Functional';
import { Done } from '../../../../../../Class/Functional/Done';
import { System } from '../../../../../../system';
import { AC } from '../../../../../../types/interface/AC';
export type I = {
    opt: {};
};
export type O = {
    ctx: AC;
};
export default class AudioContext_ extends Functional<I, O> {
    private _ctx;
    constructor(system: System);
    f({ opt }: {
        opt: any;
    }, done: Done<O>): void;
    d(): void;
}
